cURL
curl --request POST \
--url https://api.hubapi.com/crm/v3/imports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form files='@example-file' \
--form 'importRequest=<string>'import requests
url = "https://api.hubapi.com/crm/v3/imports"
files = { "files": ("example-file", open("example-file", "rb")) }
payload = { "importRequest": "<string>" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('files', '<string>');
form.append('importRequest', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.hubapi.com/crm/v3/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"mappedObjectTypeIds": [
"<string>"
],
"metadata": {
"counters": {},
"fileIds": [
"<string>"
],
"objectLists": [
{
"listId": "<string>",
"objectType": "<string>"
}
]
},
"optOutImport": true,
"updatedAt": "2023-11-07T05:31:56Z",
"importName": "<string>",
"importRequestJson": {},
"importTemplate": {
"templateId": 123
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Imports
Start a new import
POST
/
crm
/
v3
/
imports
cURL
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
successful operation
The timestamp when the object was created, in ISO 8601 format.
The unique identifier for this import.
Show child attributes
Show child attributes
Whether or not the import is a list of people disqualified from receiving emails.
The status of the import.
Available options:
CANCELED, DEFERRED, DONE, FAILED, PROCESSING, REVERTED, STARTED The timestamp when the import record was last updated, formatted as an ISO 8601 instant.
The user-provided name for this import.
The complete import request configuration as a JSON object.
Indicates where/how the import was initiated.
Available options:
API, CRM_UI, IMPORT, MOBILE_ANDROID, MOBILE_IOS, SALESFORCE Show child attributes
Show child attributes
Last modified on April 16, 2026
Was this page helpful?
⌘I